Subject: bug#29889: 27.0.50; Slow visual selection

From: Po Lu <[email-masked]>
Date: Mon, 23 May 2022 17:56:34 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> But this is pretty obscure functionality in Firefox, while moving point
> in Emacs is fundamental, so it shouldn't be normative for how we design
> this.

Emacs should _not_ invent distinctions between different methods of
changing the region, as long as it remains displayed in the region face,
since that is what tells the user what will be inserted with Button2.

If we want to make a distinction, then we should ensure that the region
face reflects the contents of the primary selection (instead of being
unconditionally displayed when the mark is active.)